[Launch]
ProgramExecutable=PCCleaner\PCCleaner.exe
WorkingDirectory=%PAL:AppDir%\PCCleaner
RunAsAdmin=force
WaitForExe1=PCCNotifications.exe
SinglePortableAppInstance=true
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryValueWrite]
HKCU\Software\PC Cleaner\Version=REG_SZ:8.2.0.1

[RegistryKeys]
PCCleaner=HKCU\Software\PC Cleaner

[RegistryCleanupForce]
1=HKCU\Software\Licenses\d245d16c219a0913f2cb2177b11da31a

[DirectoriesMove]
PCCleanerCommon=%ALLUSERSAPPDATA%\PC Cleaner
PCCleanerUser=%APPDATA%\PC Cleaner

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\PCCleaner.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\PCCleaner.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\PCCleaner.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\
